<script lang="ts">
  import { getActivePlayers, getTakableRows } from "./domain";

  export let state: GameState;

  $: activePlayers = getActivePlayers(state);

  let activePlayer: PlayerId | null;
  $: {
    if (activePlayers.length === 1) {
      activePlayer = activePlayers[0];
    } else {
      activePlayer = null;
    }
  }
</script>

{#if state.phase.k === "Playing"}
  <em>Players must select a card to play.</em>
{:else if state.phase.k === "Placing" && activePlayer !== null}
  {#if getTakableRows(state, activePlayer).length > 0}
    <em>
      <gs6-user userid={activePlayer} /> must take a row <br />
      to make room for their low card.
    </em>
  {:else}
    <em><gs6-user userid={activePlayer} /> must place their card.</em>
  {/if}
{:else if state.phase.k === "Taking" && activePlayer !== null}
  <em>
    The row is full! <br />
    <gs6-user userid={activePlayer} /> must take the cards!
  </em>
{/if}

<style>
  em {
    font-weight: 300;
    font-style: italic;
  }
</style>
